Page MenuHomePhabricator

Prepare and check storage layer for the future private wiki arbcom-cs.wikipedia.org
Closed, ResolvedPublic

Description

The wiki will be private.

Details

Related Gerrit Patches:

Event Timeline

jcrespo claimed this task.Nov 28 2016, 12:35 PM
jcrespo moved this task from Triage to In progress on the DBA board.
Urbanecm moved this task from Backlog to Watching on the User-Urbanecm board.Nov 28 2016, 12:49 PM

I guess we can remove Cloud-Services here as it should not replicate in Labs? It's a private wiki after all.

Change 323814 merged by Jcrespo:
Add arbcom_cswiki to $private_wikis in realm.pp

https://gerrit.wikimedia.org/r/323814

jcrespo removed a project: Cloud-Services.EditedNov 28 2016, 3:33 PM

Correct, this is production replication-only task. Normally we categorize those as subtasks of T50930: Database replication problems - production and labs (tracking), but I intend to fix this ASAP.

Mentioned in SAL (#wikimedia-operations) [2016-11-28T15:35:06Z] <jynus> restarting db1069 (sanitarium) instances to apply new replication filters T151752

So this is applied to db1069, which is the active sanitarium. However, right now, sanitarium2 (the next-generation server for this service) is being populated. If this is not an emergency, I would wait for the import to finish to make sure no mistakes are made. This should finish by tomorrow.

There's no need to rush here so it's fine to wait until the maintenance is done.

jcrespo triaged this task as Medium priority.Nov 29 2016, 10:25 AM

Mentioned in SAL (#wikimedia-operations) [2016-11-29T13:14:48Z] <jynus> restarting db1095's mysql for T151752

Urbanecm moved this task from In progress to Done on the DBA board.Dec 11 2016, 11:15 AM
Restricted Application added a subscriber: Urbanecm. · View Herald TranscriptOct 18 2018, 11:50 AM